Bug 360501 - Error message reported by new perl-DBD-MySQL packages
Error message reported by new perl-DBD-MySQL packages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBD-MySQL (Show other bugs)
4.5
All Linux
urgent Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
desktop-bugs@redhat.com
:
Depends On: 251162
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 12:21 EDT by Jan Lieskovsky
Modified: 2008-06-26 09:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 09:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prepared testing script "test.pl" I used for testing (12.53 KB, text/x-perl)
2007-10-31 12:21 EDT, Jan Lieskovsky
no flags Details
Architecture table creation required by the "test.pl" script (373 bytes, text/plain)
2007-10-31 12:23 EDT, Jan Lieskovsky
no flags Details
Bug table creation text file required by the "test.pl" script (566 bytes, text/plain)
2007-10-31 12:23 EDT, Jan Lieskovsky
no flags Details
package table creation text file required for the "test.pl" script (750 bytes, text/plain)
2007-10-31 12:24 EDT, Jan Lieskovsky
no flags Details
release table creation text file needed by the "test.pl" script (199 bytes, text/plain)
2007-10-31 12:24 EDT, Jan Lieskovsky
no flags Details
Usert table creation text file needed by the "test.pl" script (434 bytes, text/plain)
2007-10-31 12:25 EDT, Jan Lieskovsky
no flags Details
The correct testing script output provided by the old perl-DBD-MySQL packages (6.16 KB, text/plain)
2007-10-31 12:26 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2007-10-31 12:21:46 EDT
Description of problem:
As a part of my testing of RHBA-2007:0844 I have discovered the following issue:
Have prepared "test.pl" script (see attachments) to check functionality 
of valid {create,drop} table, insert, select SQL queries and encountered
the following error message:

# ./test.pl
Opening the connection to the database...
/usr/bin/perl: symbol lookup error:
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/DBD/mysql/mysql.so:
undefined symbol: DBIc_TRACE_LEVEL


Version-Release number of selected component (if applicable):
perl-DBD-MySQL-4.005-1.i386

How reproducible:
Always

Steps to Reproduce:
1. service myslqd start
2. mysql -u root mysql 
3. mysql> GRANT ALL PRIVILEGES ON *.* TO 'iankko'@'localhost' IDENTIFIED BY
'iankko' WITH GRANT OPTION;     (ie. add user iankko to be able to 
connect to the Mysql db from the localhost)
4, # ./test.pl
  
Actual results:
Opening the connection to the database...
/usr/bin/perl: symbol lookup error:
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/DBD/mysql/mysql.so:
undefined symbol: DBIc_TRACE_LEVEL


Expected results:
No error message. The SQL queries should work as by the old packages. 
(See file "old_test_script_output.txt" for the correct output). 

Additional info:
The same script works fine with the previous (perl-DBD-MySQL-2.9004-3.1.i386)
packages.
Comment 1 Jan Lieskovsky 2007-10-31 12:21:46 EDT
Created attachment 244671 [details]
Prepared testing script "test.pl" I used for testing
Comment 2 Jan Lieskovsky 2007-10-31 12:23:07 EDT
Created attachment 244681 [details]
Architecture table creation required by the "test.pl" script
Comment 3 Jan Lieskovsky 2007-10-31 12:23:50 EDT
Created attachment 244691 [details]
Bug table creation text file required by the "test.pl" script
Comment 4 Jan Lieskovsky 2007-10-31 12:24:17 EDT
Created attachment 244701 [details]
package table creation text file required for the "test.pl" script
Comment 5 Jan Lieskovsky 2007-10-31 12:24:55 EDT
Created attachment 244711 [details]
release table creation text file needed by the "test.pl" script
Comment 6 Jan Lieskovsky 2007-10-31 12:25:51 EDT
Created attachment 244721 [details]
Usert table creation text file needed by the "test.pl" script
Comment 7 Jan Lieskovsky 2007-10-31 12:26:38 EDT
Created attachment 244731 [details]
The correct testing script output provided by the old perl-DBD-MySQL packages
Comment 8 Marcela Mašláňová 2008-02-21 07:48:16 EST
Instead of rebase packages, we decide to backport patches for individual bugs.
This problem won't be occur in RHEL-4.

This bug stay opened until fix of dependent packages.
Comment 9 Marcela Mašláňová 2008-06-26 09:31:41 EDT
There were some undocumented api change, so we decided not to upgrade perl-DBD
packages. Dependent bugs were already closed as wontfix or nextrelease.

Note You need to log in before you can comment on or make changes to this bug.